Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions
Class Notifier

    java.lang.Object
      org.jboss.soa.esb.actions.Notifier

All Implemented Interfaces:
  ActionLifecycle

    public class Notifier

extends java.lang.Object
implements ActionLifecycle

Stand alone action class that replaces the NotificationHandler EJB (beta 1)

Since:
  Version 4.0
Author:
  schifest@heuristica.com.ar

Field Summary
`protected ConfigTree` | `_config`
`protected static org.apache.log4j.Logger` | `_logger`
`protected ConfigTree[]` | `_notifyError`
`protected ConfigTree[]` | `_notifyOK`

Constructor Summary
`Notifier(ConfigTree config)`

Method Summary
`void` | `destroy()` Destroy the action instance.
`void` | `initialise()` Initialise the action instance.
`java.lang.String` | `messageAsString(Message message)` Deprecated.
`void` | `notifyError(Message message, java.lang.Throwable th)`
`void` | `notifyOK(Message message)`
`Message` | `process(Message message)` This is equivalent to a No Operation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _config

    protected ConfigTree _config

### _notifyOK

    protected ConfigTree[] _notifyOK

### _notifyError

    protected ConfigTree[] _notifyError

### _logger

    protected static org.apache.log4j.Logger _logger

Constructor Detail

### Notifier

    public Notifier(ConfigTree config)

Method Detail

### initialise

    public void initialise()
                    throws ActionLifecycleException

  Initialise the action instance.

  This method is called after the action instance has been instantiated so that configuration options can be validated.

  Specified by:
    `initialise` in interface `ActionLifecycle`
  Throws:
    `ActionLifecycleException` - for errors during initialisation.

### destroy

    public void destroy()
                 throws ActionLifecycleException

  Destroy the action instance.

  This method is called prior to the release of the action instance. All resources associated with this action instance should be released as the instance will no longer be used.

  Specified by:
    `destroy` in interface `ActionLifecycle`
  Throws:
    `ActionLifecycleException`

### process

    public Message process(Message message)

  This is equivalent to a No Operation

  Parameters:
    `message` -
  Returns:
    - this method will always return arg0 unchanged

### notifyOK

    public void notifyOK(Message message)

### notifyError

    public void notifyError(Message message,
                            java.lang.Throwable th)

### messageAsString

    @Deprecated
    public java.lang.String messageAsString(Message message)
                                     throws MessageDeliverException

  Deprecated.

  Throws:
    `MessageDeliverException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD